Google Android - это несложно

Добро пожаловать на форум сайта startandroid.ru
Текущее время: 18 окт 2018, 18:47

Часовой пояс: UTC + 3 часа




Начать новую тему Ответить на тему  [ Сообщений: 512 ]  На страницу Пред.  1 ... 19, 20, 21, 22, 23, 24, 25, 26  След.
Автор Сообщение
СообщениеДобавлено: 01 апр 2015, 20:33 

Зарегистрирован: 01 апр 2015, 20:26
Сообщений: 2
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
mdnpavel писал(а):
Помогите решить эту проблему,пытался отдельно установить HAXM, как я понял мой процессор не интеловский и HAXM отказался устанавливать,как мне запустить эмулятор
emulator: ERROR: x86 emulation currently requires hardware acceleration!
Please ensure Intel HAXM is properly installed and usable.
CPU acceleration status: HAX kernel module is not installed!


При создании эмулятора выберите ARM CPU.[/quote]


Добрый вечер, примерно такая же ситуация
E:\Android\sdk\tools\emulator.exe -netdelay none -netspeed full -avd Nexus_S_API_19
emulator: ERROR: x86 emulation currently requires hardware acceleration!
Please ensure Intel HAXM is properly installed and usable.
CPU acceleration status: HAX kernel module is not installed!
где выбрать ARMCPU не нашел
подскажите пожалуйста!


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 07 апр 2015, 17:16 

Зарегистрирован: 07 апр 2015, 17:15
Сообщений: 17
Благодарил (а): 12 раз.
Поблагодарили: 0 раз.
Делал всё по уроку. В чём проблема?


Вложения:
Снимок1.PNG
Снимок1.PNG [ 20.37 KiB | Просмотров: 8741 ]
Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 08 апр 2015, 08:27 
Аватар пользователя

Зарегистрирован: 18 окт 2012, 11:17
Сообщений: 1098
Откуда: г. Красноярск
Благодарил (а): 26 раз.
Поблагодарили: 279 раз.
скачай в sdk нужные image


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 27 апр 2015, 20:23 

Зарегистрирован: 27 апр 2015, 20:18
Сообщений: 1
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Добрый день.
Спасибо за уроки, главеное они актуальны )
подскажите, а зачем создаете новый модуль? чем не устраивает app?


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 28 апр 2015, 16:00 

Зарегистрирован: 28 апр 2015, 15:49
Сообщений: 1
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Yana писал(а):
при запуске возникла такая проблема:
Изображение

Такие же сообщения об ошибках исчезли после снятия чекбокса "Use Host GPU" в настройках AVD. Эмулятор успешно заработал. Полагаю, влияние "встроенной" видеосистемы на базе Intel Chipset.


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 04 июн 2015, 14:40 

Зарегистрирован: 21 мар 2013, 11:22
Сообщений: 162
Благодарил (а): 9 раз.
Поблагодарили: 0 раз.
Добрый день!
А как в АС создать проект с построением Google API ?
в Еклипсе было Compile With.
В нулевых версиях АС тоже был такой пункт но сейчас его нет!


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 04 июн 2015, 18:09 

Зарегистрирован: 04 июн 2015, 18:02
Сообщений: 1
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
При нажатие "run" для тестирования приложения выдает такую ошибку:FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:compileDebugAidl'.
> aidl is missing

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.893 se(Подскажите, как исправить то это можно?)


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 05 июн 2015, 07:08 
Аватар пользователя

Зарегистрирован: 18 окт 2012, 11:17
Сообщений: 1098
Откуда: г. Красноярск
Благодарил (а): 26 раз.
Поблагодарили: 279 раз.
ariosha6 писал(а):
При нажатие "run" для тестирования приложения выдает такую ошибку:FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':app:compileDebugAidl'.
> aidl is missing

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED

Total time: 2.893 se(Подскажите, как исправить то это можно?)


Какая версия AS используется? У меня были подобные проблемы в 1.3 preview.

в build.gradle(Project:...) должно быть что-то вроде: 'com.android.tools.build:gradle:1.2.3'
в build.gradle(Module:...):
Код: [ Загрузить ] [ Скрыть ]
  1. compileSdkVersion 22 
  2. buildToolsVersion '22.0.1' 

ну и соответствующие build Tools и Android Api должны быть скачаны в sdk, и AS как минимум последней стабильной версии (help->check for update).


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 05 июн 2015, 21:55 
Аватар пользователя

Зарегистрирован: 05 июн 2015, 19:07
Сообщений: 2
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Делал всё по инструкции, добавил готовый код "Hello World", AS при запуске приложения выдал ошибку:
Цитата:
Error:Gradle: Execution failed for task ':lessonjava_task1:compileDebugAidl'.
> aidl is missing

Если правильно понял, программа не находит "aidl". Что это и где найти? Помогите пожалуйста решить вопрос.

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 28 июн 2015, 20:55 

Зарегистрирован: 23 янв 2015, 00:37
Сообщений: 2
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Добрый вечер.помогите решить проблему
пытаюсь запустить с подключенного телефона, на котором стоит android 4.0.4
ошибка: pkg: /data/local/tmp/ru.startandroid.p0031firstproject
Failure [INSTALL_FAILED_OLDER_SDK]
что-то в SDK установить надо?


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 08 июл 2015, 05:43 

Зарегистрирован: 08 июл 2015, 05:39
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Выдает ошибку при создании нового проекта, что делать? Читал ничего не нашел, буду признателен за помощь
http://snag.gy/JOMZS.jpg


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 08 июл 2015, 07:55 
Аватар пользователя

Зарегистрирован: 18 окт 2012, 11:17
Сообщений: 1098
Откуда: г. Красноярск
Благодарил (а): 26 раз.
Поблагодарили: 279 раз.
dronz21 писал(а):
Выдает ошибку при создании нового проекта, что делать? Читал ничего не нашел, буду признателен за помощь
http://snag.gy/JOMZS.jpg


1) Company Domain начинается с точки
2) В Project location присутствует кириллица


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 09 июл 2015, 05:00 

Зарегистрирован: 08 июл 2015, 05:39
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Спасибо


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 09 июл 2015, 17:11 

Зарегистрирован: 08 июл 2015, 05:39
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Опять беда господа, не могу понять что пишут
http://snag.gy/S9G1e.jpg


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 24 июл 2015, 11:01 

Зарегистрирован: 24 июл 2015, 10:56
Сообщений: 1
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
Привет всем. Создал эмулятор по инструкции и он у меня запустился без шапки за которую его можно перетащить. Как исправить подобное?


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 26 авг 2015, 15:11 

Зарегистрирован: 26 авг 2015, 15:04
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
При компиляции первого проекта выдаёт 2 ошибки:
Код: [ Загрузить ] [ Скрыть ]
  1. Error:(2) Error retrieving parent for item: No resource found that matches the given name 'android:TextAppearance.Material.Widget.Button.Inverse'. 
  2. Error:(2) Error retrieving parent for item: No resource found that matches the given name 'android:Widget.Material.Button.Colored'. 
Как победить?
Идут из автоматически созданного файла values-v23.xml:
Код: [ Загрузить ] [ Скрыть ]
Using XML Syntax Highlighting
  1. <resources>
  2.     <!-- From: file:/usr/local/google/buildbot/repo_clients/https___googleplex-android.googlesource.com_a_platform_manifest.git/mnc-release/frameworks/support/v7/appcompat/res/values-v23/styles_base_text.xml -->
  3.     <style name="Base.TextAppearance.AppCompat.Widget.Button.Inverse" parent="android:TextAppearance.Material.Widget.Button.Inverse"/>
  4. ...
  5.     <style name="Base.Widget.AppCompat.Button.Colored" parent="android:Widget.Material.Button.Colored"/>
  6. </resources>


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 26 авг 2015, 15:52 
Аватар пользователя

Зарегистрирован: 25 авг 2015, 10:54
Сообщений: 51
Благодарил (а): 2 раз.
Поблагодарили: 10 раз.
Похоже на проблему последнего SDK.
Необходимо установить compileSdkVersion в 23 - все заработает.

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 26 авг 2015, 17:17 

Зарегистрирован: 26 авг 2015, 15:04
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
An-droid писал(а):
Похоже на проблему последнего SDK.
Необходимо установить compileSdkVersion в 23 - все заработает.

Прошу прощения, а где это установить?


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 26 авг 2015, 20:21 
Аватар пользователя

Зарегистрирован: 25 авг 2015, 10:54
Сообщений: 51
Благодарил (а): 2 раз.
Поблагодарили: 10 раз.
Если это АндроидСтудия, то Tools -> Android -> SDK Manager -> SDK Tools
проверить, чтобы было всё скачано - SDK Build tools + SDK Tools 24.3.4 (сейчас такая) + SDK Platform-tools 23

Затем закрываете окошечко, нажимаете f4, открывается Project Structure. на первой вкладке Properties первая строчка Compile SDK version.
Выбираете API 23: Android 6.0 (Marshmellow)
На второй строчке Build tools version выбираете 23.0.0.

Всё сохраняете, запускаете проект.

_________________
Изображение


Вернуться наверх
 Профиль  
 
СообщениеДобавлено: 28 авг 2015, 18:13 

Зарегистрирован: 26 авг 2015, 15:04
Сообщений: 3
Благодарил (а): 0 раз.
Поблагодарили: 0 раз.
An-droid писал(а):
Если это АндроидСтудия, то Tools -> Android -> SDK Manager -> SDK Tools
проверить, чтобы было всё скачано - SDK Build tools + SDK Tools 24.3.4 (сейчас такая) + SDK Platform-tools 23

Затем закрываете окошечко, нажимаете f4, открывается Project Structure. на первой вкладке Properties первая строчка Compile SDK version.
Выбираете API 23: Android 6.0 (Marshmellow)
На второй строчке Build tools version выбираете 23.0.0.

Спасибо, получилось.
Правда F4 не сработало, пришлось долго рыться в меню, наконец нашёл: File/Project Structure
А эти версии как-то связаны с таргет-версией Андроид, под которую я хочу скомпилить (4.1.2) ?


Вернуться наверх
 Профиль  
 
Показать сообщения за:  Сортировать по:  
Начать новую тему Ответить на тему  [ Сообщений: 512 ]  На страницу Пред.  1 ... 19, 20, 21, 22, 23, 24, 25, 26  След.

Часовой пояс: UTC + 3 часа


Вы не можете начинать темы
Вы не можете отвечать на сообщения
Вы не можете редактировать свои сообщения
Вы не можете удалять свои сообщения
Вы не можете добавлять вложения

Найти:
Powered by phpBB® Forum Software © phpBB Group
Русская поддержка phpBB